## lemonldap-ng 2.0.5+ds

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
export PERL5LIB=$(shell echo `pwd`/${SRCCOMMONDIR}/blib/lib:`pwd`/${SRCHANDLERDIR}/blib/lib:`pwd`/${SRCMANAGERDIR}/blib/lib/:`pwd`/${SRCPORTALDIR}/blib/lib/)
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSITEDIR=$(PORTALDIR)/htdocs
PORTALSTATICDIR=$(PORTALSITEDIR)/static
PORTALRELATIVESTATICDIR=/static
PORTALTEMPLATESDIR=$(PORTALDIR)/templates

MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)/htdocs
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# uWSGI
UWSGIYAMLDIR=$(LMPREFIX)/uwsgi
LLNGAPPDIR=$(LMPREFIX)/llng-server
UWSGIUSER=$(APACHEUSER)
UWSGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# Apache log dir
APACHELOGDIR=/var/log/apache2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876
TESTUSESSL=0
E2E_TESTS='portal/*.js'

# LDAP backend test
LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapdadd
LLNGTESTLDAP_SCHEMA_DIR=/etc/slapd/schema

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/site/templates/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSTATICDIR)/bwr/bootstrap/ \
			$(RPORTALSTATICDIR)/bwr/font-awesome \
			$(RPORTALSTATICDIR)/bwr/jquery-ui \
			$(RPORTALSTATICDIR)/bwr/jquery.cookie \
			$(RPORTALSTATICDIR)/bwr/jquery
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN)

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		_example/conf/lmConf-1.json

# Javascript and CSS to minify
JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')

# Coffee files
MANAGERCOFFEESRCFILES:=$(shell find lemonldap-ng-manager/site/coffee -type f -name '*.coffee')
PORTALCOFFEESRCFILES:=$(shell find lemonldap-ng-portal/site/coffee -type f -name '*.coffee')
COFFEESRCFILES=$(MANAGERCOFFEESRCFILES) $(PORTALCOFFEESRCFILES)
MANAGERCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/js/,$(MANAGERCOFFEESRCFILES:.coffee=.js))
PORTALCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/common/js/,$(PORTALCOFFEESRCFILES:.coffee=.js))
COFFEEDSTFILES:=$(MANAGERCOFFEEDSTFILES) $(PORTALCOFFEEDSTFILES)

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI (or uWSGI) server install (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo "   - install_uwsgi_server   ($(UWSGIYAMLDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo

# Configure targets
# -----------------

configure:	common_conf handler_conf portal_conf manager_conf

js: $(COFFEEDSTFILES)

minify: js $(JSDSTFILES) $(CSSDSTFILES)

$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCPORTALDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCPORTALDIR)/site/htdocs/static/common/js/ $(SRCPORTALDIR)/site/coffee/$*.coffee; \
	else \
		echo "Can't find coffee"; \
	fi

$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCMANAGERDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCMANAGERDIR)/site/htdocs/static/js/ $(SRCMANAGERDIR)/site/coffee/$*.coffee; \
	fi

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	@uglifyjs --comments='/Copyr/i' $*.js > $*.min.js

fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
	@echo Update FastCGI server man page
	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.1p debian/*cron*
	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi

debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d
	@perl -pe 's/__APACHEUSER__/www-data/g;s@__BINDIR__@/usr/share/lemonldap-ng/bin@g' \
		lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d \
		> debian/liblemonldap-ng-handler-perl.cron.d

debian/liblemonldap-ng-portal-perl.cron.d: lemonldap-ng-portal/site/cron/purgeCentralCache.cron.d
	@perl -pe 's/__APACHEUSER__/www-data/g;s@__BINDIR__@/usr/share/lemonldap-ng/bin@g' \
		lemonldap-ng-portal/site/cron/purgeCentralCache.cron.d \
		> debian/liblemonldap-ng-portal-perl.cron.d

$(MANAGERJSONDST):	$(MANAGERJSONSRC)
	./scripts/jsongenerator.pl

common_conf:	${SRCCOMMONDIR}/Makefile

handler_conf:	${SRCHANDLERDIR}/Makefile

portal_conf:	${SRCPORTALDIR}/Makefile

manager_conf:	${SRCMANAGERDIR}/Makefile

${SRCCOMMONDIR}/Makefile:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCHANDLERDIR}/Makefile:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCPORTALDIR}/Makefile:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCMANAGERDIR}/Makefile:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

# Make targets
# ------------

common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}

=== debian/changelog ===
lemonldap-ng (2.0.5+ds-2) unstable; urgency=medium

  * Install Manager manpages
  * Back to unstable after Buster release
  * Add debian/NEWS to ask to change encryption key

 -- Xavier Guimard <yadd@debian.org>  Sun, 07 Jul 2019 11:53:49 +0200

lemonldap-ng (2.0.5+ds-1) experimental; urgency=medium

  * Install nginx configuration files with all handlers
  * New upstream version 2.0.5+ds
  * Move libstring-random-perl dependency from portal to common, add it to
    build-depends
  * Add new dependency to libtext-unidecode-perl

 -- Xavier Guimard <yadd@debian.org>  Sun, 30 Jun 2019 13:31:00 +0200

lemonldap-ng (2.0.4+ds-1~exp1) experimental; urgency=medium

  * Add systemd services for scheduled tasks (portal and handler)
  * Fix cron files to avoid launching them when systemd is enabled

 -- Xavier Guimard <yadd@debian.org>  Mon, 20 May 2019 18:13:16 +0200

lemonldap-ng (2.0.4+ds-1~exp) experimental; urgency=medium

  * New upstream version 2.0.4+ds
  * Remove fix-missing-userControl update-translations and CVE-2019-12046
    patches, included in upstream
  * Add systemd timers
  * Add <!nocheck> to test dependencies

 -- Xavier Guimard <yadd@debian.org>  Sun, 19 May 2019 23:09:55 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 11~),
               po-debconf
Build-Depends-Indep: gpg <!nocheck>,
                     libapache-session-perl <!nocheck>,
                     libauthen-oath-perl <!nocheck>,
                     libauthen-u2f-tester-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-u2f-server-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-string-perl <!nocheck>,
                     libipc-run-perl <!nocheck>,
                     libjson-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl <!nocheck>,
                     libnet-cidr-lite-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libregexp-assemble-perl <!nocheck>,
                     libregexp-common-perl <!nocheck>,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-mockobject-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libunicode-string-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     libxml-simple-perl <!nocheck>,
                     uglifyjs,
                     yui-compressor,
                     perl
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         lsb-base,
         libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl
Recommends: libhttp-parser-xs-perl,
            nginx-extras | nginx
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         uwsgi-plugin-psgi
Recommends: libhttp-parser-xs-perl,
            nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          libsoap-lite-perl
Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-common-perl (= ${binary:Version})
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-urandom-perl,
         libcrypt-rijndael-perl,
         libhtml-template-perl,
         libjson-perl,
         libmouse-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl
Recommends: libapache-session-browseable-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libhttp-parser-xs-perl,
            libjson-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl,
          libxml-simple-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libjs-angularjs (>= 1.4),
         libjs-bootstrap,
         libjs-es5-shim,
         libjs-jquery,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libxml-libxml-perl,
            libxml-libxslt-perl,
            libxml-simple-perl
Suggests: libclone-perl,
          libregexp-assemble-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .

## lemonldap-ng 2.0.6+ds

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 USEDEBIANLIBS=no
 PROD=$(USEDEBIANLIBS)
 USEEXTERNALLIBS=no
+PARA=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "j$1:c" : "")')
 
 # Perl options
 #PERLOPTIONS="INSTALLDIRS=vendor"
@@ -34,6 +35,7 @@
 LISTCOMPRESSED=tar tzf
 COMPRESSSUFFIX=tar.gz
 NGINX=/usr/sbin/nginx
+UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
 
 # Default directories install
 # ---------------------------
@@ -310,7 +312,11 @@
 
 %.min.js: %.js
 	@echo "Compressing $*.js"
-	@uglifyjs --comments='/Copyr/i' $*.js > $*.min.js
+	if test "$(UGLIFYJSVERSION)" = 2; then \
+		uglifyjs $*.js --compress --mangle --comments='/Copyr/i' --source-map $*.min.js.map -o $*.min.js; \
+	else \
+		uglifyjs $*.js --compress --mangle --comments='/Copyr/i' --source-map -o $*.min.js; \
+	fi
 
 fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
 	@echo Update FastCGI server man page
@@ -343,20 +349,3 @@
 manager_conf:	${SRCMANAGERDIR}/Makefile
 
 ${SRCCOMMONDIR}/Makefile:
-	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)
-
-${SRCHANDLERDIR}/Makefile:
-	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
-
-${SRCPORTALDIR}/Makefile:
-	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
-
-${SRCMANAGERDIR}/Makefile:
-	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
-
-# Make targets
-# ------------
-
-common:		common_conf
-	@$(MAKE) -C ${SRCCOMMONDIR}
-

=== debian/changelog ===
lemonldap-ng (2.0.6+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Oct 2019 06:44:55 +0200

lemonldap-ng (2.0.6+ds-2) unstable; urgency=medium

  * Fix smoke-* files (fixes autopkgtest)

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Oct 2019 23:00:38 +0200

lemonldap-ng (2.0.6+ds-1) unstable; urgency=medium

  * Change cron files following upstream recommendations
  * Exclude auto-generated files from import
  * Exclude inc/LWP::Protocol::PSGI and use Debian ones
  * Exclude .map files from import
  * Regenerate files excluded from import
  * Fix bad doc link in webserver files for manager (Closes: #939368)
  * New upstream version 2.0.6+ds
  * Refresh patches
  * Fix build
  * Fix manpage section of FastCGI server
  * Update debian/copyright
  * Bump debhelper compatibility version to 12
  * Declare compliance with policy 4.4.0
  * Add ${misc:Pre-Depends}, fix skip-systemd-native-flag-missing-pre-depends
    tags

 -- Xavier Guimard <yadd@debian.org>  Tue, 24 Sep 2019 19:56:59 +0200

lemonldap-ng (2.0.5+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Jul 2019 09:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                po-debconf
 Build-Depends-Indep: gpg <!nocheck>,
                      libapache-session-perl <!nocheck>,
@@ -32,6 +32,7 @@
                      libipc-run-perl <!nocheck>,
                      libjson-perl <!nocheck>,
                      liblasso-perl <!nocheck>,
+                     liblwp-protocol-psgi-perl,
                      libmime-tools-perl <!nocheck>,
                      libmouse-perl <!nocheck>,
                      libnet-cidr-lite-perl <!nocheck>,
@@ -56,7 +57,7 @@
                      uglifyjs,
                      yui-compressor,
                      perl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -106,6 +107,7 @@
 Package: lemonldap-ng-fastcgi-server
 Architecture: all
 Section: web
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${perl:Depends},
          lsb-base,
@@ -262,5 +264,3 @@
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
  OpenID-Connect, CAS and SAML systems as identity or service provider. It can
- also be used as proxy between those federation systems.
- .

## lemonldap-ng 2.0.7%2Bds

=== Makefile ===
--- 
+++ 
@@ -129,8 +129,8 @@
 
 # LDAP backend test
 LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
-LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapdadd
-LLNGTESTLDAP_SCHEMA_DIR=/etc/slapd/schema
+LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapadd
+LLNGTESTLDAP_SCHEMA_DIR=/etc/ldap/schema
 
 # Other
 SRCCOMMONDIR=lemonldap-ng-common
@@ -318,13 +318,13 @@
 		uglifyjs $*.js --compress --mangle --comments='/Copyr/i' --source-map -o $*.min.js; \
 	fi
 
-fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
+fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server
 	@echo Update FastCGI server man page
-	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p
+	@pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.8p
 
 # Perl libraries configuration
 
-json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.1p debian/*cron*
+json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
 	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi
 
 debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d

## lemonldap-ng 2.0.7+ds

=== debian/changelog ===
lemonldap-ng (2.0.7+ds-5) unstable; urgency=medium

  * Exclude AuthGPG test, incompatible with debci machines (Closes: #955664)

 -- Xavier Guimard <yadd@debian.org>  Sat, 04 Apr 2020 12:25:16 +0200

lemonldap-ng (2.0.7+ds-4) unstable; urgency=medium

  * Replace ignore-random-oidc-errors patch by upstream fix
  * Restore man dir removed during import

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Mar 2020 19:39:56 +0200

lemonldap-ng (2.0.7+ds-3) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.

  [ Xavier Guimard ]
  * Move uwsgi dependency to "recommends"
  * Add autopkgtest test names
  * Declare compliance with policy 4.5.0
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sun, 29 Mar 2020 14:02:16 +0200

lemonldap-ng (2.0.7+ds-2) unstable; urgency=medium

  * Add libdatetime-format-rfc3339-perl in dependencies
  * Fix bad constant export (reported)
  * Add CertificateResetByMail in syntax skip

 -- Xavier Guimard <yadd@debian.org>  Wed, 25 Dec 2019 12:55:40 +0100

lemonldap-ng (2.0.7+ds-1) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * New upstream version 2.0.7+ds (Closes: CVE-2019-19791)
  * Remove 2 patches included in upstream
  * Update Files-Excluded field
  * Update debian/clean
  * Add a TODO loop to avoid a random failure on OIDC token test (reported)

 -- Xavier Guimard <yadd@debian.org>  Mon, 23 Dec 2019 14:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                      libcrypt-urandom-perl <!nocheck>,
                      libcrypt-rijndael-perl <!nocheck>,
                      libcrypt-u2f-server-perl <!nocheck>,
+                     libdatetime-format-rfc3339-perl <!nocheck>,
                      libdbd-sqlite3-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
                      libdigest-hmac-perl <!nocheck>,
@@ -57,7 +58,7 @@
                      uglifyjs,
                      yui-compressor,
                      perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -136,10 +137,10 @@
 Section: web
 Depends: ${misc:Depends},
          ${perl:Depends},
-         liblemonldap-ng-handler-perl (= ${binary:Version}),
-         uwsgi-plugin-psgi
+         liblemonldap-ng-handler-perl (= ${binary:Version})
 Recommends: libhttp-parser-xs-perl,
-            nginx-extras | nginx
+            uwsgi-plugin-psgi
+Suggests: nginx-extras | nginx
 Description: Lemonldap::NG uWSGI server
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -263,4 +264,3 @@
 Description: Lemonldap::NG manager part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
- OpenID-Connect, CAS and SAML systems as identity or service provider. It can

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
PSESSIONSDIR=$(LMVARDIR)/psessions
NOTIFICATIONSDIR=$(LMVARDIR)/notifications
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1.json
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/captcha
export LLNG_SKIP_GPG_TEST=1

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) lemonldap-ng-common/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		fastcgi-server/man/llng-fastcgi-server.8p
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	# Generate files excluded from import
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			PORTALDIR=$(LMSHAREDIR)/portal \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=/etc/lemonldap-ng \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng \
			UWSGIYAMLDIR=/etc/uwsgi/apps-available \
			USEDEBIANLIBS=yes
	find $(TMP)/$(LMSHAREDIR) -type f -name '.*.swp' -delete
	# Generate minified files removed by uscan
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
		echo -n "compressing $$i: "; \
		uglifyjs --comments='/Copyr/i' $$i >$${i%%.js}.min.js; \
		echo done; \
	done
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
		echo -n "compressing $$i: "; \
		yui-compressor $$i >$${i%%.css}.min.css; \
		echo done; \
	done

override_dh_compress:
	dh_compress -X favicon.ico

# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
#  * global configuration dirs must be writable by www-data but not readable
#    by all (also sessions, captcha,... dirs)
#  * lemonldap-ng.ini must not be readable by all
override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data \
		debian/*/$(SESSIONSDIR) \
		debian/*/$(SESSIONSDIR)/lock \
		debian/*/$(PSESSIONSDIR) \
		debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chgrp www-data debian/liblemonldap-ng-common-perl/$(LMINIFILE) \
		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)
	chmod 640 debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE) \
		debian/liblemonldap-ng-common-perl/$(LMINIFILE)

=== debian/tests/control ===
# debian/tests/runner launch pkg-perl-autopkgtest tests for each library
Test-Command: ./debian/tests/runner build-deps lemonldap-ng-common
Depends: liblemonldap-ng-common-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=common-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-handler
Depends: liblemonldap-ng-handler-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=handler-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-portal
Depends: liblemonldap-ng-portal-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=portal-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-manager
Depends: liblemonldap-ng-manager-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=manager-test

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-common
Depends: liblemonldap-ng-common-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-common

# Disable this one: skipped
#Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-handler
#Depends: liblemonldap-ng-handler-perl, pkg-perl-autopkgtest, libmouse-perl
#Restrictions: superficial, skippable
#Features: test-name=runtime-deps-handler

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-portal
Depends: liblemonldap-ng-portal-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-portal

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-manager
Depends: liblemonldap-ng-manager-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-manager

# Use pkg-perl-autopkgtest test for runtime-deps-and-recommends
# Some portal suggested dependencies are added here
Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, @builddeps@, pkg-perl-autopkgtest, libyaml-perl, liblog-log4perl-perl, libauthen-pam-perl, libauthen-radius-perl, libweb-id-perl
Restrictions: superficial
Features: test-name=runtime-deps-and-recommends

#Test-Command: ./debian/tests/runner heavy-deps
#Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy, libmouse-perl
#Features: test-name=heavy-deps

## lemonldap-ng 2.0.8+ds

=== debian/changelog ===
lemonldap-ng (2.0.8+ds-1) unstable; urgency=medium

  * New upstream version 2.0.8+ds (Closes: CVE-2019-19791)
  * Refresh patches
  * Add build dependency to libtest-output-perl and libtime-fake-perl
  * Add patch to fix typo in POD

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2020 19:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -46,8 +46,10 @@
                      libsoap-lite-perl <!nocheck>,
                      libstring-random-perl <!nocheck>,
                      libtest-mockobject-perl <!nocheck>,
+                     libtest-output-perl <!nocheck>,
                      libtest-pod-perl <!nocheck>,
                      libtext-unidecode-perl <!nocheck>,
+                     libtime-fake-perl <!nocheck>,
                      libunicode-string-perl <!nocheck>,
                      liburi-perl <!nocheck>,
                      libhttp-message-perl <!nocheck>,
@@ -262,5 +264,3 @@
           libregexp-assemble-perl
 Pre-Depends: debconf
 Description: Lemonldap::NG manager part
- Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
- or directly on application webservers. It can be used in conjunction with

## lemonldap-ng 2.0.8+ds1

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 
 MANAGERDIR=$(DOCUMENTROOT)/manager
 MANAGERSITEDIR=$(MANAGERDIR)/htdocs
+MANAGERAPIDIR=$(MANAGERDIR)/api
 MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
 MANAGERRELATIVESTATICDIR=/static
 MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
@@ -156,6 +157,7 @@
 RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
 RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
 RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
+RMANAGERAPIDIR=$(DESTDIR)/$(MANAGERAPIDIR)
 RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
 RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
 RDOCDIR=$(DESTDIR)/$(DOCDIR)
@@ -205,14 +207,20 @@
 		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
 		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
 		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
-		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm
+		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm \
+		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/PortalConstants.pm
 MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
+		$(SRCMANAGERDIR)/site/htdocs/static/reverseTree.json \
 		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
 		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
 		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
 		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
 		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
+		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
+		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
 		_example/conf/lmConf-1.json
+
+
 
 # Javascript and CSS to minify
 JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
@@ -337,15 +345,3 @@
 		lemonldap-ng-portal/site/cron/purgeCentralCache.cron.d \
 		> debian/liblemonldap-ng-portal-perl.cron.d
 
-$(MANAGERJSONDST):	$(MANAGERJSONSRC)
-	./scripts/jsongenerator.pl
-
-common_conf:	${SRCCOMMONDIR}/Makefile
-
-handler_conf:	${SRCHANDLERDIR}/Makefile
-
-portal_conf:	${SRCPORTALDIR}/Makefile
-
-manager_conf:	${SRCMANAGERDIR}/Makefile
-
-${SRCCOMMONDIR}/Makefile:

=== debian/changelog ===
lemonldap-ng (2.0.8+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 May 2020 08:53:43 +0200

lemonldap-ng (2.0.8+ds1-2) unstable; urgency=medium

  * Install manager-api configuration files

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 13:29:42 +0200

lemonldap-ng (2.0.8+ds1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 09:04:30 +0200

lemonldap-ng (2.0.8+ds1-1) unstable; urgency=medium

  * Exclude API doc from import and replace it by an external link
  * Repack

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 May 2020 11:24:01 +0200

lemonldap-ng (2.0.7+ds-5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Tue, 07 Apr 2020 07:51:42 +0200

lemonldap-ng (2.0.7+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sun, 05 Jan 2020 07:56:01 +0100
